function KillingBlowAnnouncer:GetKillingMessage(info)
    return self.db.profile.killingMessage;
end;

function KillingBlowAnnouncer:GetMessage(info)
    return self.db.profile.message;
end;

function KillingBlowAnnouncer:GetGreen(info)
    return self.db.profile.green;
end;

function KillingBlowAnnouncer:GetRed(info)
    return self.db.profile.red;
end;

function KillingBlowAnnouncer:GetBlue(info)
    return self.db.profile.blue;
end;

function KillingBlowAnnouncer:GetPrevSession(info)
    return self.db.profile.prevSession;
end;

function KillingBlowAnnouncer:EnableKBT(info)
    return self.db.profile.EnableKBT;
end;

function KillingBlowAnnouncer:GetSoundLevel(info)
    return self.db.profile.soundLevel;
end;

function KillingBlowAnnouncer:GetOutline(info)
    return self.db.profile.outline;
end;

function KillingBlowAnnouncer:EnableSnap(info)
    return self.db.profile.enableSnap;
end;

function KillingBlowAnnouncer:EnableKBTDrag(info)
    return self.db.profile.EnableKBTDrag;
end;

function KillingBlowAnnouncer:GetTrackerFont(info)
    return self.db.profile.trackerFont;
end;

function KillingBlowAnnouncer:GetSound(info)
    return self.db.profile.sound;
end;

function KillingBlowAnnouncer:GetFont(info)
    return self.db.profile.font;
end;

function KillingBlowAnnouncer:GetTrackerBorder(info)
    return self.db.profile.trackerBorder;
end;

function KillingBlowAnnouncer:GetTrackerBackground(info)
    return self.db.profile.trackerBackground;
end;

function KillingBlowAnnouncer:GetFontSize(info)
    return self.db.profile.fontSize;
end;

function KillingBlowAnnouncer:EnableKBSound(info)
    return self.db.profile.enableKBSound;
end;

function KillingBlowAnnouncer:GetVisibleTime(info)
    return self.db.profile.visibleTime;
end;

function KillingBlowAnnouncer:GetFadeTime(info)
    return self.db.profile.fadeTime;
end;

function KillingBlowAnnouncer:EnableKB(info)
    return self.db.profile.enableKB;
end;

function KillingBlowAnnouncer:GetModus(info)
    return self.db.profile.KB_modus;
end;

function KillingBlowAnnouncer:EnablePVP(info)
    return self.db.profile.enablePVP;
end;

function KillingBlowAnnouncer:EnableMSG(info)
    return self.db.profile.enableMSG;
end;

function KillingBlowAnnouncer:GetChatChannel(info)
    return self.db.profile.chatChannel;
end;

function KillingBlowAnnouncer:GetKBIDebug(info)
    return self.db.profile.KBI_debug;
end;

function KillingBlowAnnouncer:GetFadeInTime(info)
    return self.db.profile.KBI_fadeInTime;
end;

function KillingBlowAnnouncer:GetFadeOutTime(info)
    return self.db.profile.KBI_fadeOutTime;
end;

function KillingBlowAnnouncer:GetEndDelay(info)
    return self.db.profile.KBI_duration;
end;

function KillingBlowAnnouncer:GetAnnounceMessage(info)
    return self.db.profile.messageAnnounce;
end;

function KillingBlowAnnouncer:GetChatAnnounceChannel(info)
    return self.db.profile.chatAnnounceChannel;
end;

function KillingBlowAnnouncer:GetMinimapStatus(info)
    return self.db.profile.minimap.hide;
end;

function KillingBlowAnnouncer:GetKBIImage(info)
    return self.db.profile.KBI_image;
end;

function KillingBlowAnnouncer:GetKBIWidth(info)
    return self.db.profile.KBI_width;
end;

function KillingBlowAnnouncer:GetKBIHeight(info)
    return self.db.profile.KBI_height;
end;

function KillingBlowAnnouncer:EnableMSGAnnounce(info)
    return self.db.profile.enableMSGAnnounce;
end;

function KillingBlowAnnouncer:GetEnableMinimapIcon(info)
    s = self.db.profile.minimap.enableMinimapIcon
    if(s == true) then
        icon:Show("Killing blow announcer")
    else
        icon:Hide("Killing blow announcer")
    end

    return s;
end;